
-----------------------------------------------------------------------------
-- MEDIA_TYPE
-----------------------------------------------------------------------------
CREATE TABLE MEDIA_TYPE
(
            MEDIATYPE_ID integer,
            NAME VARCHAR (80),
            CHARACTER_SET VARCHAR (40),
            TITLE VARCHAR (80),
            DESCRIPTION VARCHAR,
    PRIMARY KEY(MEDIATYPE_ID)
);


-----------------------------------------------------------------------------
-- CLIENT
-----------------------------------------------------------------------------
CREATE TABLE CLIENT
(
            CLIENT_ID integer,
            EVAL_ORDER integer,
            NAME VARCHAR (80),
            USER_AGENT_PATTERN VARCHAR (128),
            MANUFACTURER VARCHAR (80),
            MODEL VARCHAR (80),
            VERSION VARCHAR (40),
            PREFERRED_MIMETYPE_ID integer,
    PRIMARY KEY(CLIENT_ID)
);


-----------------------------------------------------------------------------
-- MIMETYPE
-----------------------------------------------------------------------------
CREATE TABLE MIMETYPE
(
            MIMETYPE_ID integer,
            NAME VARCHAR (80),
    PRIMARY KEY(MIMETYPE_ID)
);


-----------------------------------------------------------------------------
-- CAPABILITY
-----------------------------------------------------------------------------
CREATE TABLE CAPABILITY
(
            CAPABILITY_ID integer,
            CAPABILITY VARCHAR (80),
    PRIMARY KEY(CAPABILITY_ID)
);


-----------------------------------------------------------------------------
-- CLIENT_TO_CAPABILITY
-----------------------------------------------------------------------------
CREATE TABLE CLIENT_TO_CAPABILITY
(
            CLIENT_ID integer,
            CAPABILITY_ID integer
);


-----------------------------------------------------------------------------
-- CLIENT_TO_MIMETYPE
-----------------------------------------------------------------------------
CREATE TABLE CLIENT_TO_MIMETYPE
(
            CLIENT_ID integer,
            MIMETYPE_ID integer
);


-----------------------------------------------------------------------------
-- MEDIATYPE_TO_CAPABILITY
-----------------------------------------------------------------------------
CREATE TABLE MEDIATYPE_TO_CAPABILITY
(
            MEDIATYPE_ID integer,
            CAPABILITY_ID integer
);


-----------------------------------------------------------------------------
-- MEDIATYPE_TO_MIMETYPE
-----------------------------------------------------------------------------
CREATE TABLE MEDIATYPE_TO_MIMETYPE
(
            MEDIATYPE_ID integer,
            MIMETYPE_ID integer
);

















