
-----------------------------------------------------------------------------
-- PORTLET_DEFINITION
-----------------------------------------------------------------------------
CREATE TABLE PORTLET_DEFINITION
(
            ID integer,
            NAME VARCHAR (80),
            CLASS_NAME VARCHAR (255),
            APPLICATION_ID integer,
            PORTLET_IDENTIFIER VARCHAR (80),
            EXPIRATION_CACHE VARCHAR (30),
            RESOURCE_BUNDLE VARCHAR (255),
            PREFERENCE_VALIDATOR VARCHAR (255),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- PORTLET_APPLICATION
-----------------------------------------------------------------------------
CREATE TABLE PORTLET_APPLICATION
(
            APPLICATION_ID integer,
            APP_NAME VARCHAR (80),
            APP_IDENTIFIER VARCHAR (80),
            VERSION VARCHAR (80),
            APP_TYPE integer,
            CHECKSUM VARCHAR (80),
            DESCRIPTION VARCHAR (80),
            WEB_APP_ID integer,
    PRIMARY KEY(APPLICATION_ID),
    UNIQUE (APP_NAME)
);


-----------------------------------------------------------------------------
-- WEB_APPLICATION
-----------------------------------------------------------------------------
CREATE TABLE WEB_APPLICATION
(
            ID integer,
            CONTEXT_ROOT VARCHAR (255),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- PA_METADATA_FIELDS
-----------------------------------------------------------------------------
CREATE TABLE PA_METADATA_FIELDS
(
            ID integer,
            OBJECT_ID integer,
            VALUE VARCHAR,
            NAME VARCHAR (100),
            LOCALE_STRING VARCHAR (50),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- PD_METADATA_FIELDS
-----------------------------------------------------------------------------
CREATE TABLE PD_METADATA_FIELDS
(
            ID integer,
            OBJECT_ID integer,
            VALUE VARCHAR,
            NAME VARCHAR (100),
            LOCALE_STRING VARCHAR (50),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- LANGUAGE
-----------------------------------------------------------------------------
CREATE TABLE LANGUAGE
(
            ID integer,
            PORTLET_ID integer,
            TITLE VARCHAR (100),
            SHORT_TITLE VARCHAR (50),
            LOCALE_STRING VARCHAR (50),
            KEYWORDS VARCHAR,
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- PORTLET_CONTENT_TYPE
-----------------------------------------------------------------------------
CREATE TABLE PORTLET_CONTENT_TYPE
(
            CONTENT_TYPE_ID integer,
            PORTLET_ID integer,
            CONTENT_TYPE VARCHAR (30),
            MODES VARCHAR,
    PRIMARY KEY(CONTENT_TYPE_ID)
);


-----------------------------------------------------------------------------
-- PARAMETER
-----------------------------------------------------------------------------
CREATE TABLE PARAMETER
(
            PARAMETER_ID integer,
            PARENT_ID integer,
            CLASS_NAME VARCHAR (255),
            NAME VARCHAR (80),
            PARAMETER_VALUE VARCHAR,
    PRIMARY KEY(PARAMETER_ID)
);


-----------------------------------------------------------------------------
-- PREFERENCE_VALUE
-----------------------------------------------------------------------------
CREATE TABLE PREFERENCE_VALUE
(
            ID integer,
            PREFERENCE_ID integer,
            VALUE VARCHAR,
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- PORTLET_PREFERENCE
-----------------------------------------------------------------------------
CREATE TABLE PORTLET_PREFERENCE
(
            ID integer,
            PARENT_ID integer,
            NAME VARCHAR (80),
            CLASS_NAME VARCHAR (255),
            READ_ONLY VARCHAR (1),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- PORTLET_ENTITY
-----------------------------------------------------------------------------
CREATE TABLE PORTLET_ENTITY
(
            PEID integer,
            ID VARCHAR (255),
            APP_NAME VARCHAR (255),
            PORTLET_NAME VARCHAR (255),
    PRIMARY KEY(PEID),
    UNIQUE (ID)
);


-----------------------------------------------------------------------------
-- SECURITY_ROLE_REFERENCE
-----------------------------------------------------------------------------
CREATE TABLE SECURITY_ROLE_REFERENCE
(
            ID integer,
            PORTLET_DEFINITION_ID integer,
            ROLE_NAME VARCHAR (150),
            ROLE_LINK VARCHAR (150),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- SECURITY_ROLE
-----------------------------------------------------------------------------
CREATE TABLE SECURITY_ROLE
(
            ID integer,
            WEB_APPLICATION_ID integer,
            ROLE_NAME VARCHAR (150),
            DESCRIPTION VARCHAR (150),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- USER_ATTRIBUTE_REF
-----------------------------------------------------------------------------
CREATE TABLE USER_ATTRIBUTE_REF
(
            ID integer,
            APPLICATION_ID integer,
            NAME VARCHAR (150),
            NAME_LINK VARCHAR (150),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- USER_ATTRIBUTE
-----------------------------------------------------------------------------
CREATE TABLE USER_ATTRIBUTE
(
            ID integer,
            APPLICATION_ID integer,
            NAME VARCHAR (150),
            DESCRIPTION VARCHAR (150),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- JETSPEED_SERVICE
-----------------------------------------------------------------------------
CREATE TABLE JETSPEED_SERVICE
(
            ID integer,
            APPLICATION_ID integer,
            NAME VARCHAR (150),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- LOCALIZED_DESCRIPTION
-----------------------------------------------------------------------------
CREATE TABLE LOCALIZED_DESCRIPTION
(
            ID integer,
            OBJECT_ID integer,
            CLASS_NAME VARCHAR (255),
            DESCRIPTION VARCHAR,
            LOCALE_STRING VARCHAR (50),
    PRIMARY KEY(ID)
);


-----------------------------------------------------------------------------
-- LOCALIZED_DISPLAY_NAME
-----------------------------------------------------------------------------
CREATE TABLE LOCALIZED_DISPLAY_NAME
(
            ID integer,
            OBJECT_ID integer,
            CLASS_NAME VARCHAR (255),
            DISPLAY_NAME VARCHAR,
            LOCALE_STRING VARCHAR (50),
    PRIMARY KEY(ID)
);







    ALTER TABLE PA_METADATA_FIELDS
        ADD CONSTRAINT PA_METADATA_FIELDS_FK_1 FOREIGN KEY (OBJECT_ID)
            REFERENCES PORTLET_APPLICATION (APPLICATION_ID);


    ALTER TABLE PD_METADATA_FIELDS
        ADD CONSTRAINT PD_METADATA_FIELDS_FK_1 FOREIGN KEY (OBJECT_ID)
            REFERENCES PORTLET_DEFINITION (ID);


















    ALTER TABLE USER_ATTRIBUTE_REF
        ADD CONSTRAINT USER_ATTRIBUTE_REF_FK_1 FOREIGN KEY (APPLICATION_ID)
            REFERENCES PORTLET_APPLICATION (APPLICATION_ID);


    ALTER TABLE USER_ATTRIBUTE
        ADD CONSTRAINT USER_ATTRIBUTE_FK_1 FOREIGN KEY (APPLICATION_ID)
            REFERENCES PORTLET_APPLICATION (APPLICATION_ID);








